summaryrefslogtreecommitdiffhomepage
path: root/test/scenario_test/ci-scripts
diff options
context:
space:
mode:
authorISHIDA Wataru <ishida.wataru@lab.ntt.co.jp>2015-07-03 15:16:11 +0900
committerFUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>2015-07-13 08:56:08 +0900
commit1bf1652c08dde3368e098c2f28260cb24f4aa0f8 (patch)
treeae57764ac55db79bdd7cee417ae88ad156129eb9 /test/scenario_test/ci-scripts
parentb759f2b1ca7176ea134b3a86d8bfea44509712dd (diff)
server/table: support iBGP behavior
also added scenario_test Signed-off-by: ISHIDA Wataru <ishida.wataru@lab.ntt.co.jp>
Diffstat (limited to 'test/scenario_test/ci-scripts')
-rw-r--r--test/scenario_test/ci-scripts/jenkins-build-script.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/test/scenario_test/ci-scripts/jenkins-build-script.sh b/test/scenario_test/ci-scripts/jenkins-build-script.sh
index e76e967a..0ed43247 100644
--- a/test/scenario_test/ci-scripts/jenkins-build-script.sh
+++ b/test/scenario_test/ci-scripts/jenkins-build-script.sh
@@ -46,7 +46,12 @@ sudo -E python route_server_policy_test.py --use-local --go-path $GOROOT/bin -s
RET5=$?
mv nosetests.xml ${WS}/nosetest_policy.xml
-if [ $RET1 != 0 ] || [ $RET2 != 0 ] || [ $RET3 != 0 ] || [ $RET4 != 0 ] || [ $RET5 != 0 ]; then
+# bgp router test
+sudo -E python ibgp_router_test.py --use-local --go-path $GOROOT/bin -s --with-xunit
+RET6=$?
+mv nosetests.xml ${WS}/nosetest_ibgp.xml
+
+if [ $RET1 != 0 ] || [ $RET2 != 0 ] || [ $RET3 != 0 ] || [ $RET4 != 0 ] || [ $RET5 != 0 ] || [ $RET6 != 0 ]; then
exit 1
fi
exit 0